Bug 169898 - Permissions of new created directory during saving download misses o+x (or o-r)
Permissions of new created directory during saving download misses o+x (or o-r)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 17:06 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 07:53:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2005-10-04 17:06:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
In case a file will be downloaded with firefox to a folder which would be newly created, the permissions of this folder are 754, this makes no sense. Either 770 or 775 should be used.

Version-Release number of selected component (if applicable):
firefox-1.0.7-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Change download settings to ask every time where to store the file
2. Select an URL for downloading
3. Select store to filesystem
4. Browse to folder
5. Create new folder
6. Check permissions of this folder
  

Actual Results:  Permissions are 774

Expected Results:  Either 775 or 755 or 770 or 750, but not 774

Additional info:

Used umask:
$ umask
0002
Comment 1 Peter Bieringer 2006-02-04 07:18:52 EST
Same happen using firefox-1.0.7-1.2.fc4 - no one cares about? Is this perhaps a
GNOME issue like  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169899
(also no one really care about)?
Comment 2 Peter Bieringer 2006-06-06 05:58:04 EDT
Fixed in FC5 (0775).

Note You need to log in before you can comment on or make changes to this bug.